Subject: Offline Message from Daria: Hello! Today I got my items from Weleda and I’m a
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 25 Jun 2020 09:13:42 -0000

From: Daria <[email-masked]>
Phone: 
Location: Dubai, United Arab Emirates
URL: https://www.mumzworld.com/en/contact-us
Department: 

Hello! Today I got my items from Weleda and I’m a bit confused, the packaging is dirty and scratched, these are products for the newborn so I don't want to risk the health of the baby, I would like to change products or return money. Order number 600905400

----
Zopim
https://www.zopim.com